#!/bin/sh

PRV=$1
STD_BIN_PATH=$2
LINKPATH=$3

cp /dev/null /tmp/minkowsky
if [ -e $PRV ]
then
    #keep server  parameters from previous /etc/minkowsky
    cat $PRV |grep -v MINKO >> /tmp/minkowsky


    OPTS=`cat /etc/minkowsky.client | cut -d' ' -f 1 | grep  MINKO |grep -v MRR `
    for opt in $OPTS
    do
	val=`cat $PRV |grep $opt |cut -d' ' -f 2- `
	if [ -z "$val" ] 
	then
	    val=`cat /etc/minkowsky.client|grep $opt |cut -d' ' -f 2- `
	fi
	echo "$opt $val">> /tmp/minkowsky
    done
    echo "MINKO_AUTO_MRR" >> /tmp/minkowsky


    binPath=`cat /tmp/minkowsky |grep MINKO_PATH|cut -d' ' -f 2 `
    if [ ! -z "$binPath" ]
    then
	if [ "$binPath" != "$STD_BIN_PATH" ]
	then
	    echo "moving binaries from $STD_BIN_PATH/client to $binPath/client"
	    #does this work ?
	    mv $binPath/client $binPath/client.rpmsave
	    mv $binPath/html $binPath/html.rpmsave
	    mv $STD_BIN_PATH/client $binPath/
	    mv $STD_BIN_PATH/html $binPath/
	fi
    fi
fi

binPath=`cat /tmp/minkowsky |grep MINKO_PATH|cut -d' ' -f 2 `
ln -sf $binPath/client/client $LINK_PATH/minkowsky

mv /tmp/minkowsky /etc/minkowsky
chmod a+r /etc/minkowsky
echo "This rpm assumes a local minkowsky server."
echo "If your minkowsky server is on another host"
echo "please correct the MINKO_SERVER line in /etc/minkowsky"
